# dblook options

The `dblook` utility options include:

-z <schemaName>

  specifies the schema to which the DDL should be restricted. Only objects with the specified schema are included in the DDL file.

-t <tableOne> <tableTwo> ...
  specifies the tables to which the DDL should be restricted. All tables with a name from this list will be included in the DDL file subject to `-z` limitations, as will the DDL for any keys, checks, or indexes on which the table definitions depend.

  Additionally, if the statement text of any triggers or views includes a reference to any of the listed table names, the DDL for that trigger/view will also be generated, subject to `-z` limitations. If a table is not included in this list, then neither the table nor any of its keys, checks, or indexes will be included in the final DDL. If this parameter is not provided, all database objects will be generated, subject to `-z` limitations. Table names are separated by whitespace.

-td
  specifies a statement delimiter for SQL statements generated by dblook. If a statement delimiter option is not specified, the default is the semicolon (';'). At the end of each DDL statement, the delimiter is printed, followed by a new line.

-o <filename>
  specifies the file where the generated DDL is written. If this file is not specified, it defaults to the console (i.e. standard System.out).

-append
  prevents overwriting the DDL output ('-o' parameter, if specified) and "dblook.log" files. If this parameter is specified, and execution of the `dblook` command leads to the creation of files with names identical to existing files in the current directory, `dblook` will append to the existing files. If this parameter is not set, the existing files will be overridden.

-verbose
  specifies that all errors and warnings (both SQL and internal to `dblook`) should be echoed to the console (via System.err), in addition to being printed to the "dblook.log" file. If this parameter is not set, the errors and warnings only go to the "dblook.log" file.

-noview
  specifies that CREATE VIEW statements should not be generated.

Parent topic: dblook
Related concepts
Using dblook
Generating the DDL for a database
Related reference
dblook examples